Ask The Experts

Highlighted

NMSDK support with and beyond 9.6

As per ONTAP 9.6 Release Notes, the NMSDK support is available.

 

Few questions related to NMSDK:

 

  1. Heard a rumor that NMSDK support is going to be dropped in the future ONTAP releases, and API access via REST APIs is the way forward. Is that true?
  2. Will NMSDK continue to be supported?
  3. Where can I find the latest NMSDK maven dependencies to use? Will these following version we're currently using continue to work for OnTAP 9.6 and beyond?:
    ontap-api v8.1.1
    nmsdk-runtime v5.1

Any help is appreciated! Thanks.

7 REPLIES 7

Re: NMSDK support with and beyond 9.6

I am not aware of any plans to discontinue interoperability support for the NetApp Manageability SDK in future versions of ONTAP.

 

Regarding the state of supportability of the NMSDK, it is currently a community supported product. What this means is that the software is not eligible for support via the official support process, however the product documentation does give a variety of options for obtaining other forms of support. Here is a link to the NMSDK online help documentation containing this information:
https://library.netapp.com/ecm/ecm_download_file/ECMLP2855460

 

Regarding the availability of the NetApp Manageability SDK with support for ONTAP 9.6, it can be downloaded here:
https://mysupport.netapp.com/products/nmsdk/9.6/downloads.html

Re: NMSDK support with and beyond 9.6

Thanks for the response. The download link seems to be broken. When I try clicking on the highlighted part, it downloads a JSP page, instead of the ZIP file.

 

Screen Shot 2019-09-16 at 10.11.30 AM.png

Re: NMSDK support with and beyond 9.6

@suvidya I am able to download the Zip using the link, Can try again in a different browser?

Re: NMSDK support with and beyond 9.6

Thanks for checking. I've tried Chrome, Safari and Firefox. Going one step further, I see that it is treating it as unauthorized access. The "Feedback" and "Global Support Center" links are broken - I get a 404 on that. 

 

I'm logged in to the community site as I'm trying to download. Which other permissions do I need?

 

Screen Shot 2019-09-16 at 10.46.25 AM.png

Re: NMSDK support with and beyond 9.6

Can you try starting here, and then navigating to the download page via the in-page options?

https://mysupport.netapp.com/products/index.html

 

You will want to click on "NetApp Manageability SDK", and then proceed from there. See if that gives a different result and let us know what you observe.

Re: NMSDK support with and beyond 9.6

Hi @smichae1, its exactly as before. Here's a video for reference: https://youtu.be/-L55dO8kBBg

 

I'd like to see the Python and C/C++ API bindings. Where can I find the documentation for it?

Re: NMSDK support with and beyond 9.6

As long as ZAPIs are included in ONTAP releases, NMSDK would continue to exist and provide language bindings. 

For new ONTAP features in upcoming releases post 9.6 , support for these new ONTAP features will be in RESTful APIs and there won’t be any ZAPIs for them.

NMSDK provides .NET API Bindings for Windows, Java Bindings and Perl . Bindings are not available for Python, C and C++.

 

ONTAP REST API 9.6 python SDK is available. "The Python client library provides support for writing scripts in python to access the ONTAP REST API. Links to the Getting Started video and Python client library documentation are available on DevNet.NetApp. "

For users looking to automate ONTAP storage management , our request  to these users is  start using ONTAP RESTful APIs and associated SDK for automation use cases.

Forums